## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/customers/{id}/transfers

### cURL

```bash
GET https://api-sandbox.dwolla.com/customers/33e56307-6754-41cb-81e2-23a7f1072295/transfers
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

### Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
```javascript
var customerUrl =
  "http://api-sandbox.dwolla.com/customers/33e56307-6754-41cb-81e2-23a7f1072295";

dwolla
  .get(`${customerUrl}/transfers`)
  .then((res) => res.body._embedded["transfers"][0].status); // => "pending"
```

### Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
```python
customer_url = 'http://api-sandbox.dwolla.com/customers/33e56307-6754-41cb-81e2-23a7f1072295'

transfers = app_token.get('%s/transfers' % customer_url)
transfers.body['_embedded']['transfers'][0]['status'] # => 'pending'
```

### Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
```php
$customerUrl = 'http://api-sandbox.dwolla.com/customers/33e56307-6754-41cb-81e2-23a7f1072295';

$TransfersApi = new DwollaSwagger\TransfersApi($apiClient);

$transfers = $TransfersApi->getCustomerTransfers($customerUrl);
$transfers->_embedded->{'transfers'}[0]->status; // => "pending"
```

### Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
```ruby
customer_url = 'http://api-sandbox.dwolla.com/customers/33e56307-6754-41cb-81e2-23a7f1072295'

transfers = app_token.get "#{customer_url}/transfers"
transfers._embedded['transfers'][0].status # => "pending"
```

### Responses

- **200**

```json
{
  "_links": {},
  "_embedded": {
    "transfers": [
      {
        "_links": {},
        "id": "15c6bcce-46f7-e811-8112-e8dd3bececa8",
        "status": "pending",
        "amount": {
          "value": "42.00",
          "currency": "USD"
        },
        "created": "2018-12-03T22:00:22.970Z",
        "clearing": {
          "source": "standard",
          "destination": "same-day"
        },
        "metadata": {
          "paymentId": "12345678",
          "note": "Payment for completed work Dec. 1"
        },
        "achDetails": {
          "source": {
            "addenda": {
              "values": [
                "ABC123_AddendaValue"
              ]
            },
            "beneficiaryName": "John Doe",
            "companyEntryDescription": "PAYMENT",
            "companyId": "1234567890",
            "companyName": "Acme Corporation",
            "effectiveDate": "2021-12-01",
            "postingData": "Acme Corporation:Payment Reference:John Doe",
            "routingNumber": "222222226",
            "traceId": "222222225926346"
          },
          "destination": {
            "addenda": {
              "values": [
                "ZYX987_AddendaValue"
              ]
            },
            "beneficiaryName": "Jane Smith",
            "companyEntryDescription": "PAYMENT",
            "companyId": "1234567890",
            "companyName": "Acme Corporation",
            "effectiveDate": "2021-12-01",
            "postingData": "Acme Corporation:Payment Reference:Jane Smith",
            "routingNumber": "222222226",
            "traceId": "222222225926346"
          }
        },
        "rtpDetails": {
          "destination": {
            "remittanceData": "ABC_123 Remittance Data",
            "networkId": "20210617021214273T1BG27487110796028",
            "endToEndReferenceId": "E2E-RTP-20210617-001"
          }
        },
        "fedNowDetails": {
          "destination": {
            "remittanceData": "ABC_123 Remittance Data",
            "networkId": "20240115123456789FEDNOW123456",
            "endToEndReferenceId": "E2E-FEDNOW-20240115-001"
          }
        },
        "correlationId": "8a2cdc8d-629d-4a24-98ac-40b735229fe2",
        "processingChannel": {
          "destination": "real-time-payments"
        }
      }
    ]
  },
  "total": 100
}
```

- **404**

```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

### Authorizations

Authorization

- **Type**: string 
- **Location**: header 
- **Required**: Yes 
- **Description**: The access token received from the authorization server in the OAuth 2.0 flow.

### Headers

- **Accept**: enum<string> 
  - **Default**: application/vnd.dwolla.v1.hal+json
  - **Required**: Yes 
  - **Description**: The media type of the response. Must be application/vnd.dwolla.v1.hal+json

### Path Parameters

- **id**: string 
  - **Required**: Yes 
  - **Description**: Customer's unique identifier

### Query Parameters

- **search**: string 
  - **Description**: A string to search on fields `firstName`, `lastName`, `email`, `businessName`
- **startAmount**: string 
  - **Description**: Only include transactions with an amount equal to or greater than `startAmount`
- **endAmount**: string 
  - **Description**: Only include transactions with an amount equal to or less than `endAmount`
- **startDate**: string 
  - **Description**: Only include transactions created after this date. ISO-8601 format `YYYY-MM-DD`
- **endDate**: string 
  - **Description**: Only include transactions created before this date. ISO-8601 format `YYYY-MM-DD`
- **status**: string 
  - **Description**: Filter on transaction status. Possible values are `pending`, `processed`, `failed`, or `cancelled`
- **correlationId**: string 
  - **Description**: A string value to search on if `correlationId` was specified for a transaction
- **limit**: string 
  - **Description**: Number of search results to return. Defaults to 25
- **offset**: string 
  - **Description**: Number of search results to skip. Use for pagination

### Response

- **200** `application/vnd.dwolla.v1.hal+json`: successful operation
  - **_links**: object
    - Show child attributes
  - **_embedded**: object
    - Show child attributes
  - **total**: integer
    - Example: `100`
